TEMPLATE = subdirs

CUBI_VERSION=0.1
TRACKER_VERSION=0.10

CT_ONTOLOGY_HEADERS_BASEINSTALLPATH = $$INCLUDEDIR/cubi-$$CUBI_VERSION/tracker-$$TRACKER_VERSION
CT_ONTOLOGY_HEADERS_INSTALLPATH = $$CT_ONTOLOGY_HEADERS_BASEINSTALLPATH/ontologies

include(ontologies.pri)
ontology.headers -= ontologies.h
ontology.files = $$ontology.headers
ontology.path = $$CT_ONTOLOGY_HEADERS_INSTALLPATH

ontologyGlobal.files += ontologies.h
ontologyGlobal.path = $$CT_ONTOLOGY_HEADERS_BASEINSTALLPATH

INSTALLS += \
    ontologyGlobal \
    ontology

CUBI_TRACKER_ONTOLOGIES_PRF_BASENAME = cubi-$$CUBI_VERSION-tracker-$$TRACKER_VERSION-ontologies.prf
CUBI_TRACKER_ONTOLOGIES_PRF_TEMPLATE = $${PWD}/$${CUBI_TRACKER_ONTOLOGIES_PRF_BASENAME}.in
CUBI_TRACKER_ONTOLOGIES_PRF = $${OUT_PWD}/$${CUBI_TRACKER_ONTOLOGIES_PRF_BASENAME}

prf.target = $${CUBI_TRACKER_ONTOLOGIES_PRF}
prf.depends = $${CUBI_TRACKER_ONTOLOGIES_PRF_TEMPLATE}
prf.commands = sed \
    \"s|@ctoincludedir[@]|$${CT_ONTOLOGY_HEADERS_BASEINSTALLPATH}|g\" \
    $${CUBI_TRACKER_ONTOLOGIES_PRF_TEMPLATE} \
    > \
    $${CUBI_TRACKER_ONTOLOGIES_PRF}

install_prf.depends = prf
install_prf.path = $$[QT_INSTALL_DATA]/mkspecs/features
install_prf.files = $$prf.target
install_prf.CONFIG = no_check_exist

QMAKE_EXTRA_TARGETS += prf
POST_TARGETDEPS += $$prf.target
QMAKE_CLEAN += $$prf.target

INSTALLS += install_prf
